Subject: bug#55804: 29.0.50; xwidget-webkit cannot render local html file

From: Eli Zaretskii <[email-masked]>
Date: Sat, 11 Jun 2022 16:06:26 +0300

> Cc: [email-masked]
> Date: Sat, 11 Jun 2022 20:10:31 +0800
> From:  Jacky Li via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Po Lu <[email-masked]> writes:
> 
> > I guess that's because WebKit always tries to download local files.
> > It's been a while since I looked into that part of the xwidget code.  I
> > will try to find a way to provide an option to turn that behavior off.
> 
> A reddit user "lskph5vg" solved the
> bug. https://www.reddit.com/r/emacs/comments/v53jpw/xwidgets_cannot_render_local_file_on_linux/iby14j3/?context=3
> 
> This behaviour was first solved in stackoverflow by
> "DisableGraphics". https://stackoverflow.com/a/71740957
> 
> This is a bug due to faulty MIME type database, which can be solved by
> these commands.
> 
> rm ~/.local/share/mime/packages/user-extension-html.xml
> update-mime-database ~/.local/share/mime
> 
> Which seems to have nothing to do with webkitgtk or emacs, the bug can
> be closed.

Right, but I think it would be good to have this in etc/PROBLEMS.

Thanks.